org.gradle.tooling.model.eclipse

## Interface EclipseTask

- All Superinterfaces:
    Task

  Deprecated.
  Use `EclipseProject.getGradleProject()` to determine the associated Gradle project for an Eclipse project, then use `GradleProject.getTasks()` to determine the tasks for the Gradle project.

      @Deprecated
      public interface EclipseTask
      extends Task

  Deprecated because Gradle tasks are not associated with Eclipse projects.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EclipseProject` | `getProject()` Deprecated. Returns the element which this task belongs to.

    - ### Methods inherited from interface org.gradle.tooling.model.Task

      `getDescription, getName, getPath`

- - ### Method Detail

    - #### getProject

          EclipseProject getProject()

      Deprecated.
      Returns the element which this task belongs to.
      Specified by:
        `getProject` in interface `Task`
      Returns:
        The element which this task belongs to.